Microsoft наконец исправила серьезную уязвимость, которую сама создала

Microsoft наконец исправила серьезную уязвимость, которую сама создала

Корпорация Microsoft выпустила внеплановые патчи для Windows 7 и Windows Server 2008 R2. Эти обновления должны устранить критическую уязвимость, способную привести к повышению привилегий в системе. Надо отметить, что сама Microsoft и поспособствовала появлению этой бреши, выпустив патчи для Meltdown.

В четверг корпорация сообщила, что были выпущены внеплановые обновления для систем Windows 7 x64 (SP1) и Windows Server 2008 R2 x64 (SP1), предполагается, что они должны полостью устранить дыру в безопасности критического уровня.

«Обновившие свои системы пользователи будут полностью защищены», — думают в Microsoft.

Уязвимость, получившая идентификатор CVE-2018-1038, исправлена обновлением под идентификатором KB4100480 (не перепутайте). Пользователям рекомендуется установить обновление как можно скорее, так как есть предположение, что в ближайшие дни эта уязвимость будет активно использоваться злоумышленниками.

«Уязвимость существует из-за того, что ядру Windows не удается должным образом обрабатывать объекты в памяти. Злоумышленник, успешно воспользовавшийся этой уязвимостью, сможет запустить произвольный код на уровне ядра, что позволит ему устанавливать программы, просматривать, изменять или удалять данные и создавать новые учетные записи с правами пользователей», — утверждается в сообщении Microsoft.

Ранее стало известно, что январские и февральские патчи Microsoft, призванные устранить уязвимость Meltdown, привели к появлению еще более серьезной бреши в безопасности, затрагивающей Windows 7 и Server 2008 R2. Об этом сообщил эксперт Ульф Фриск.

Как утверждает специалист, вышедшие обновления открывают возможность чтения и записи критической таблицы памяти ядра для обычных пользовательских процессов на 64-разрядных Windows 7 и Server 2008 R2.

Yandex Zen AMПодписывайтесь на канал "Anti-Malware" в Yandex Zen, чтобы узнавать о новостях и эксклюзивных материалах по информационной безопасности в своей персональной ленте.

Роутеры TP-Link 1GbE затрагивают 4 уязвимости, патчи уже готовы

Исследователи в области кибербезопасности на этой неделе раскрыли детали четырех уязвимостей в маршрутизаторах TP-Link 1GbE. Проблемы безопасности были обнаружены Джаредом Риттлом и Карлом Хердом из Cisco Talos. Все четыре бреши представляют собой классику уязвимостей роутеров.

Одна из проблем — возможность провести DoS-атаку, вторая приводит к утечке файлов, а оставшиеся  бреши открывают возможность для удаленного выполнения кода (RCE).

Если говорить о степени опасности, уязвимости удаленного выполнения кода могут быть использованы только в контексте активной сессии аутентифицированного пользователя. Другими словами, только вошедший злоумышленник или вредоносная программа с необходимыми правами могут эксплуатировать эти дыры.

С другой стороны, баги присутствуют в HTTP-сервере, который используется для предоставления доступа к конфигурационному порталу. То есть он работает с правами root. Таким образом, если злоумышленник сможет использовать бреши удаленного выполнения кода, он получит полный доступ к роутеру в качестве администратора.

Другие две уязвимости не требуют аутентификации для эксплуатации. Во всех четырех случаях атакующему будет необходимо подключиться к порталу управления, однако это обычно доступно любому.

Уязвимыми являются аппаратные версии 2 и 3. В настоящее время выпущено соответствующее обновление прошивки, которое устраняет проблемы безопасности.

Yandex Zen AMПодписывайтесь на канал "Anti-Malware" в Yandex Zen, чтобы узнавать о новостях и эксклюзивных материалах по информационной безопасности в своей персональной ленте.

RSS: Новости на портале Anti-Malware.ru